POST
/v1/mgmt/tenant/search

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

tenantIds?array<string>
string
tenantNames?array<string>
string
tenantSelfProvisioningDomains?array<string>
string
customAttributes?object

Custom attributes as key-value pairs. Keys must be strings; values can be strings, numbers, booleans, or arrays.

Example{ "attribute-key": "attribute-value" }
authType?string
tenantSSODomains?array<string>
string
parentTenantId?string
topLevelOnly?boolean

Search all tenants, using a valid management key.

This API endpoint returns details of configured tenants within the Descope instance that match the search parameters. The response includes an array of the tenants and these details for each tenant:

  • id
  • name
  • selfProvisioningDomains

Next Steps

See also

curl -X POST "https://api.descope.com/v1/mgmt/tenant/search" \  -H "Content-Type: application/json" \  -d '{}'
{  "tenants": [    {      "id": "string",      "name": "string",      "selfProvisioningDomains": [        "string"      ],      "customAttributes": {        "attribute-key": "attribute-value"      },      "authType": "string",      "domains": [        "string"      ],      "createdTime": 0,      "disabled": true,      "enforceSSO": true,      "enforceSSOExclusions": [        "string"      ],      "federatedAppIds": [        "string"      ],      "parent": "string",      "successors": [        "string"      ],      "defaultRoles": [        "string"      ],      "roleInheritance": "string"    }  ]}
export interface Response {tenants?: {id?: stringname?: stringselfProvisioningDomains?: string[]/** * Custom attributes as key-value pairs. Keys must be strings; values can be strings, numbers, booleans, or arrays. */customAttributes?: {[k: string]: string}authType?: stringdomains?: string[]createdTime?: numberdisabled?: booleanenforceSSO?: booleanenforceSSOExclusions?: string[]federatedAppIds?: string[]parent?: stringsuccessors?: string[]defaultRoles?: string[]roleInheritance?: string}[]}
Was this helpful?